#!/bin/sh
echo "--- Install ivcx ---"

MODULE_NAME=cx25858


test -e /lib/modules/`uname -r`/kernel/drivers/media/video/$MODULE_NAME/$MODULE_NAME.ko && SEL=1 || SEL=0

if [ $SEL -eq 1 ]; then
KO_PATH=/lib/modules/`uname -r`/kernel/drivers/media/video/$MODULE_NAME
else
KO_PATH=/lib/modules/`uname -r`/kernel/drivers/media/pci/$MODULE_NAME
fi


rm -rf $KO_PATH/
mkdir $KO_PATH/
mkdir $KO_PATH/icp_lib_$MODULE_NAME

cp -rf $MODULE_NAME.ko		$KO_PATH/$MODULE_NAME.ko 
cp -rf $MODULE_NAME-alsa.ko 	$KO_PATH/$MODULE_NAME-alsa.ko
cp -rf icp-lib-$MODULE_NAME.ko 	$KO_PATH/icp_lib_$MODULE_NAME/icp-lib-$MODULE_NAME.ko


depmod -a

modprobe -v $MODULE_NAME-alsa


